import path from 'path';

export { ScopedEventEmitter } from './events';
export { IProcessData, spawnProcess, execProcess } from './run';

/**
 * Load a Node.js module without caching it.
 * @param file JavaScript file
 * @returns Loaded module
 */
export function requireNoCache(file: string): object | undefined {
  const fullPath = path.resolve(file);
  const mod = require(fullPath);
  if (require.cache && require.cache[fullPath]) {
    delete require.cache[fullPath];
  }
  return mod;
}
